Get price by priceId - Fabric

Get price by priceId

cURL

curl --request GET \
  --url 'https://live.copilot.fabric.inc/api-offers/price/{priceId}/priceList/{priceListId}?limit=10' \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'

Python

import requests

url = "https://live.copilot.fabric.inc/api-offers/price/{priceId}/priceList/{priceListId}?limit=10"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://live.copilot.fabric.inc/api-offers/price/{priceId}/priceList/{priceListId}?limit=10', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://live.copilot.fabric.inc/api-offers/price/{priceId}/priceList/{priceListId}?limit=10",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "x-site-context: <x-site-context>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Golang

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://live.copilot.fabric.inc/api-offers/price/{priceId}/priceList/{priceListId}?limit=10"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.get("https://live.copilot.fabric.inc/api-offers/price/{priceId}/priceList/{priceListId}?limit=10")
  .header("x-site-context", "<x-site-context>")
  .header("Authorization", "Bearer <token>")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://live.copilot.fabric.inc/api-offers/price/{priceId}/priceList/{priceListId}?limit=10")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body

Sample JSON Responses

Successful Response

{
  "_id": "62583d6e2d4b944f747127a5",
  "itemId": 1000000051,
  "priceListId": 100000,
  "offers": [
    {
      "channel": 12,
      "startDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z",
      "price": {
        "base": 299,
        "currency": "USD",
        "sale": 199,
        "cost": 149
      },
      "kind": 12,
      "range": [
        {
          "minQuantity": 3,
          "maxQuantity": "Infinity",
          "price": 299,
          "width": [
            {
              "minQuantity": 3,
              "maxQuantity": "Infinity",
              "price": 299
            }
          ]
        }
      ],
      "priceMethodType": "Range-Base",
      "priceAttributes": [
        {
          "blindMotor": 30
        }
      ],
      "additionalAttributes": [
        {
          "customSkuTitle": "HOUSE TREE",
          "customCategory": "HOME"
        }
      ]
    }
  ],
  "createdAt": "2020-02-02T17:22:48.570Z",
  "updatedAt": "2020-02-02T17:22:48.570Z",
  "isSoftDeleted": false,
  "itemSku": "SKU123456",
  "job": false,
  "offerId": 1074,
  "query": {
    "count": 15,
    "page": 1,
    "limit": 10
  }
}

Error Responses

Price Not Found

{
  "code": "PRICE_NOT_FOUND",
  "message": "No price entry found."
}

Internal Server Error

{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}

Authorization

Headers

Path Parameters